Subject: Re: [RFC]: net-sched 00/05: dynamically sized class hashes

From: Patrick McHardy <[email-masked]>
Date: Wed, 02 Jul 2008 12:13:11 +0200

Martin Devera wrote:
> David Miller wrote:
>> From: Patrick McHardy <[email-masked]>
>> Date: Tue,  1 Jul 2008 16:34:11 +0200 (MEST)
>>
>>> Only RFC at this point because they haven't been tested thoroughly yet
>>> and depend on the filter destruction fixes I sent this morning, but any
>>> review (especially of 4/5, the htb_delete changes) is welcome.
>>
>> These patches look fine to me.
>>
>> I haven't investigated the correctness of the details of patch
>> 4 yet, sorry :-)  Maybe someone else will be able to.
>>
> 
> It seems ok to me. I even can't remember why to destroy in class order :-)
> Interestingly, once you do this patch then children/siblings list-heads
> are used only in htb_parent_last_child and to detect empty class.
> Thus we could remove children/siblings lists altogether ane keep only
> children counter.
> I can't believe it is so simple, what do you think, Patrick ?

Yes, it looks like that would work. I'll give it a try :)